Bug 71036 - kudzu needs to turn off floppy device driver if no fdc present
Summary: kudzu needs to turn off floppy device driver if no fdc present
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-08-08 01:39 UTC by Preston Brown
Modified: 2014-03-17 02:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 22:02:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Preston Brown 2002-08-08 01:39:41 UTC
Description of Problem:

On modern, legacy free systems, and on some laptops (like my Vaio), there isn't
a fdc.  However, we have hardcoded block-major-2 to the floppy module, which is
statically compiled into the kernel, in our modutils.  Every time modprobe gets
run (either automatically by the kernel or manually) you get an error

modprobe: can't locate module block-major-2

in /var/log/messages.  You get lots of them.  It is annoying.

kudzu should simply put

alias block-major-2 off

in /etc/modules.conf if no legacy floppy drives are detected.

Comment 1 Bill Nottingham 2003-02-11 22:02:39 UTC
block-major-2 defaulted to off in modutils-2.4.22-8; we never ship it as a
module anyway.


Note You need to log in before you can comment on or make changes to this bug.